# Copyright © 2019 Daniel Morris
# https://unfun.co
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

lib = File.expand_path('../lib', __FILE__)
$:.unshift(lib) unless $:.include?(lib)

require 'davidfile/version'

Gem::Specification.new do |spec|
  spec.name     = 'davidfile'
  spec.license  = 'Apache-2.0'
  spec.version  = Davidfile::VERSION
  spec.authors  = ['Daniel Morris']
  spec.email    = ['daniel@honestempire.com']
  spec.summary  = %q{DSL for the David chatbot and remote task-runner.}
  spec.homepage = 'https://github.com/unfunco/davidfile'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(features|spec)/})
    end
  end

  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
